/*
--------------------------------------
Динамическая AJAX загрузка страниц для 
WEB версии сайта
--------------------------------------
*/

//Вызываем обработку ссылки кликом на тег <a>
$(document).on('click', 'a[load != "none"]', function(e){
  
  var link = $(this).attr('href');
  
  if (link != null){
    
    go_url(link);
    
    var title_ajax = $('div[title]').text();
    document.title = title_ajax;
    history.pushState(link, title_ajax, link);
    
    $("#player_big").removeClass("open-player");    
    $("#player_big").parents(".overlay-player").removeClass("open-player");
    
    e.preventDefault();
  
  }

});

//Пишем переходы в историю браузера
if (history.pushState){
  
  $(window).on('popstate', function(event){
    
    var location_ajax = event.location || ( event.originalEvent && event.originalEvent.location ) || document.location;
    
    go_url(location_ajax.href);
  
  });

}

function go_url(href){
  
  $('#load').html('<div class="animate-load stripes-load" style="width: 100%; position: absolute; top: 0; left: 0; right: 0;"><div class="proccess-load"></div></div>');
  
  var toLoad = href+' #content';
  
  $("#content").load(toLoad, function(data, status) {
    
    if (status == "success"){
      
      $('.open-modal').on('click', function(e) { });
      
      document.body.scrollTop = 0;
      document.documentElement.scrollTop = 0;
      
      $('#load').html(''); 
      open_modal = 0;
    
    }
  
  }); 

}